/*

 ResultEventHandler.java

 Copyright 2004-2007 KUBO Hiroya (hiroya@cuc.ac.jp).

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Created on 2007/04/07

 */
package net.sqs2.omr.result.event;

import java.io.IOException;

public class ResultEventHandler{

	public ResultEventHandler(){
	}
		
	public void startResult(ResultEventImpl ev) throws IOException{}
	public void endResult(ResultEventImpl ev) throws IOException{
		ev.getResultEventContext().stop();
	}

	public void startMaster(MasterEvent ev) throws IOException{}
	public void endMaster(MasterEvent ev) throws IOException{
		ev.getMasterEventContext().stop();
	}

	public void startTable(TableEvent ev) throws IOException{}
	public void endTable(TableEvent ev) throws IOException{
		ev.getTableEventContext().stop();
	}

	public void startRow(RowEvent ev) throws IOException{}
	public void endRow(RowEvent ev) throws IOException{
		ev.getRowEventContext().stop();
	}

    public void startQuestion(QuestionEvent ev) throws IOException{}
	public void endQuestion(QuestionEvent ev) throws IOException{
		ev.getQuestionEventContext().stop();
	}

	public void startQuestionItem(QuestionItemEvent ev) throws IOException{}
	public void endQuestionItem(QuestionItemEvent ev) throws IOException{
		ev.getQuestionItemEventContext().stop();
	}

	public void startError(ProcessErrorEvent ev) throws IOException{}
	public void endError(ProcessErrorEvent ev) throws IOException{}
}